Get all media files shared in a private channel.
Changelog
| Version | Description |
|---|---|
| 9.0.0 | Removed the fields and query parameters. |
| 0.64.0 | Change userId to user object in response |
| 0.59.0 | Added |
The authToken of the authenticated user.
The userId of the authenticated user.
The room name. It is required if the roomId is not provided.
The room ID. It is required if the roomName is not provided.
Number of items to "skip" in the query, i.e. requests return count items, skipping the first offset items. Refer to the official documentation to learn more.
List of fields to order by, and in which direction. This is a JSON object, with properties listed in desired order, with values of 1 for ascending, or -1 for descending. For example, {"value": -1, "_id": 1}. Refer to the official documentation to learn more.
Filter results by the type of file. Available options:
all: Return all file types.image: Filter by image files.video: Filter by video files.audio: Filter by audio files.text: Filter by text documents.application: Filter by other file types.
The name of the file to search for.
OK
{
"files": [
{
"_id": "S78TNnvaWGwdYRaCD",
"name": "images.jpeg",
"size": 9778,
"type": "image/jpeg",
"rid": "GENERAL",
"description": "",
"store": "GridFS:Uploads",
"complete": true,
"uploading": false,
"extension": "jpeg",
"progress": 1,
"user": {
"_id": "ksKsKmrjvxzkzxkww",
"username": "rocket.cat",
"name": "Rocket Cat"
},
"_updatedAt": "2018-03-08T14:47:37.003Z",
"instanceId": "uZG54xuoKauKHykbQ",
"etag": "jPaviS9qG22xC5sDC",
"path": "/file-upload/S78TNnvaWGwdYRaCD/images.jpeg",
"token": "28cAb868d9",
"uploadedAt": "2018-03-08T14:47:37.295Z",
"url": "/file-upload/S78TNnvaWGwdYRaCD/images.jpeg"
}
],
"count": 1,
"offset": 0,
"total": 1,
"success": true
}Bad Request
{
"success": false,
"error": "must have required property 'roomId'\n must have required property 'roomName'\n must match exactly one schema in oneOf ",
"errorType": "error-invalid-params"
}Unauthorized
{
"success": false,
"error": "You must be logged in to do this."
}